<?php

include('../../functions.php');

print "Anzahl verfallene Punkte:\n";
for ($year = 2009; $year < 2013; $year++)
{
  $anzahl = getVerfallenePunkte($year);
  print "$year: $anzahl\n";
}

function getVerfallenePunkte($year)
{
    $userIds = array();
    $einloesungen = 0;
    $startdatum = mktime(0,0,0,1,1,$year);
    $enddatum = mktime(0,0,0,1,1,$year+1);
print $year . ": $startdatum - $enddatum\n";
// Hole alle userIds von Teilnehmern, die Punkte eingeloest haben
    $query = "SELECT SUM(wert) AS wert
        FROM kontobewegungen
        WHERE datum >= $startdatum
        AND datum <= $enddatum
        AND wert < 0
        AND beschreibung LIKE 'Punkteverfall%'";
    $result = dbQuery($query)
        or die ("Kann query nicht ausführen: " . dbError());
    
    $row = dbFetchRow($result, MYSQL_ASSOC);
    $wert = $row['wert'];
    
    return abs($wert);
}


